🔗 REST APITrades

Historical data

Get history transactions from specific symbol, returned in time ascending order.

This endpoint supports hourly granularity for APITP data with automatic fallback to daily data for older records. Timestamps are normalized to hour boundaries, and data is fetched per hour with precise filtering to your exact time range.

For querying a full day of data, use the 'date' parameter. For specific time ranges (including cross-day or multi-hour queries), use 'time_start' and 'time_end'.

GET
/v1/trades/{symbol_id}/history
Authorization<token>

API Key is required to access the endpoints

In: header

Path Parameters

symbol_id*string

Symbol identifier for requested timeseries (from the Metadata -> Symbols)

Query Parameters

date?string

Date in ISO 8601, returned data is for the whole given day (required if 'time_start' is not provided)

time_start?string

Starting time in ISO 8601 (supports hourly precision, e.g., 2026-01-16T11:00:00Z)

time_end?string

Timeseries ending time in ISO 8601 (optional, supports cross-day queries)

limit?integer

Amount of items to return (optional, minimum is 1, maximum is 100000, default value is 100, if the parameter is used then every 100 output items are counted as one request)

Default100
Formatint32
include_id?boolean

Information that additional exchange trade identifier should be included in the id_trade parameter of the trade if exchange providing identifiers.

Defaultfalse

Response Body

curl -X GET "https://rest.coinapi.io/v1/trades/string/history"
[
  {
    "symbol_id": "BITSTAMP_SPOT_BTC_USD",
    "time_exchange": "2013-09-28T22:40:50.0000000Z",
    "time_coinapi": "2017-03-18T22:42:21.3763342Z",
    "uuid": "770c7a3b-7258-4441-8182-83740f3e2457",
    "price": 770,
    "size": 0.05,
    "taker_side": "BUY"
  },
  {
    "symbol_id": "BITSTAMP_SPOT_BTC_USD",
    "time_exchange": "2013-09-28T23:12:59.0000000Z",
    "time_coinapi": "2017-03-18T22:42:21.3763342Z",
    "uuid": "1ea8adc5-6459-47ca-adbf-0c3f8c729bb2",
    "price": 770,
    "size": 0.05,
    "taker_side": "SELL"
  }
]
Service StatusGitHub SDK